/*********************************************************************
 *
 *        Run Time Library Loading (RTLL)- Library Services
 *
 *********************************************************************
 * FileName:       lib_services.h
 * Dependencies:
 * Processor:       PIC32
 *
 * Complier:        MPLAB C32
 *                  MPLAB IDE
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement
 * Microchip RTLL  PIC32 Software.
 * Copyright  2008 Microchip Technology Inc.  All rights reserved.
 * 
 * Microchip licenses the Software for your use with Microchip microcontrollers
 * and Microchip digital signal controllers pursuant to the terms of the
 * Non-Exclusive Software License Agreement accompanying this Software.
 *
 * SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY
 * OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION,
 * ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS
 * FOR A PARTICULAR PURPOSE.
 * MICROCHIP AND ITS LICENSORS ASSUME NO RESPONSIBILITY FOR THE ACCURACY,
 * RELIABILITY OR APPLICATION OF THE SOFTWARE AND DOCUMENTATION.
 * IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED
 * UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH
 * OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT
 * DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL,
 * SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS
 * OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY,
 * SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED
 * TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.
 *
 ********************************************************************/


#ifndef _LIBRARY_SERVICES_H_
#define _LIBRARY_SERVICES_H_


extern volatile char _bss_begin[];
extern volatile char _bss_end[];
extern volatile char _data_image_begin[];
extern volatile char _data_begin[];
extern volatile char _data_end[];


#define BSS_BEGIN 			((unsigned int)_bss_begin)
#define BSS_END	  			((unsigned int)_bss_end)
#define BSS_SIZE  			(BSS_END - BSS_BEGIN)
#define DATA_IMAGE_BEGIN 	((unsigned int)_data_image_begin)
#define DATA_BEGIN			((unsigned int)_data_begin)
#define DATA_END			((unsigned int)_data_end)
#define DATA_SIZE			(DATA_END - DATA_BEGIN)
#define ZERO 0


#endif	// _LIBRARY_SERVICES_H_

