/**********************************************************************
*  2010 Microchip Technology Inc.
*
* FileName:        GFXFunctions.c
* Dependencies:    Header (.h) files if applicable, see below
* Processor:       PIC32MX
* Compiler:        MPLAB C32 
*
* SOFTWARE LICENSE AGREEMENT:
* Microchip Technology Incorporated ("Microchip") retains all ownership and 
* intellectual property rights in the code accompanying this message and in all 
* derivatives hereto.  You may use this code, and any derivatives created by 
* any person or entity by or on your behalf, exclusively with Microchip's
* proprietary products.  Your acceptance and/or use of this code constitutes 
* agreement to the terms and conditions of this notice.
*
* CODE ACCOMPANYING THIS MESSAGE IS SUPPLIED BY MICROCHIP "AS IS".  NO 
* WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED 
* TO, IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE APPLY TO THIS CODE, ITS INTERACTION WITH MICROCHIP'S 
* PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION. 
*
* YOU ACKNOWLEDGE AND AGREE THAT, IN NO EVENT, SHALL MICROCHIP BE LIABLE, WHETHER 
* IN CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR BREACH OF STATUTORY DUTY), 
* STRICT LIABILITY, INDEMNITY, CONTRIBUTION, OR OTHERWISE, FOR ANY INDIRECT, SPECIAL, 
* PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, FOR COST OR EXPENSE OF 
* ANY KIND WHATSOEVER RELATED TO THE CODE, HOWSOEVER CAUSED, EVEN IF MICROCHIP HAS BEEN 
* ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE FULLEST EXTENT 
* ALLOWABLE BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO 
* THIS CODE, SHALL NOT EXCEED THE PRICE YOU PAID DIRECTLY TO MICROCHIP SPECIFICALLY TO 
* HAVE THIS CODE DEVELOPED.
*
* You agree that you are solely responsible for testing the code and 
* determining its suitability.  Microchip has no obligation to modify, test, 
* certify, or support the code.
************************************************************************/
#include "..\h\GFXFunctions.h"

void GFXDisplayInit(void)
{
    InitGraph(); 
    SetColor(BLACK);
    ClearDevice();
    SetFont((void *) &Font25);
    SetColor(BRIGHTGREEN);
    OutTextXY(5, 20, "MASTERS 2012");
    OutTextXY(5, 40, "1674 AUD - LAB 2");
    OutTextXY(5, 60, "Voice Recorder");
    OutTextXY(50,140, "REC");
    OutTextXY(100,140, "PLAY");

}

void GFXStatusIndicate (INT status)
{
    static INT oldStatus = -1;

    if(oldStatus == status)
    {
        /* Update the display only if there
         * are changes.
         */
        return;
    }

    SetColor(BLACK);
    FillBevel(5,100,130,120,0);
    oldStatus = status;
    SetColor(BRIGHTGREEN);
    switch(status)
    {
        case(INSERT_DRIVE):
            OutTextXY(5,100, "Insert Drive");
            break;
        case(DRIVE_FOUND):
            OutTextXY(5,100, "Drive Found!");
            break;
        case(FILE_NOT_FOUND):
            OutTextXY(5,100, "File Not Found!");
            break;
        case(DRIVE_ERROR):
            OutTextXY(5,100, "Drive Error");
            break;
        default:
            break;
    }
}


void GFXRecPlaybackIndicate(BOOL record, BOOL playback)
{
    static BOOL oldRecordStatus = FALSE;
    static BOOL oldPlaybackStatus = FALSE;
    
    if(oldRecordStatus != record)
    {
        oldRecordStatus = record;
        /* Update the display */
        if(record == TRUE)
        {
            SetColor(BRIGHTRED);
        }
        else
        {
            SetColor(BLACK);
        }
        Bevel(47,148, 80, 155,10);
    }

    if(oldPlaybackStatus != playback)
    {
        oldPlaybackStatus = playback;
        
        /* Update the display */
        if(playback == TRUE)
        {
            SetColor(BRIGHTRED);
        }
        else
        {
            SetColor(BLACK);
        }
       Bevel(99,148, 142, 155,10);
    }    
}
