/* This function initializes all BSS and Initialized data Sections.
This function is just like C-Startup code for Library */

 #include <p32xxxx.h>

	
.global _initLibVariables
.set noreorder
.ent _initLibVariables
_initLibVariables:     
		
		##################################################################
        # Clear uninitialized data sections
        ##################################################################
        la      t0,_bss_begin
        la      t1,_bss_end
        b       _bss_check
        nop

_bss_init:
        sw      zero,0x0(t0)
        sw      zero,0x4(t0)
        sw      zero,0x8(t0)
        sw      zero,0xc(t0)
        addu    t0,16
_bss_check:
        bltu    t0,t1,_bss_init
        nop
        
#if (__C32_VERSION__ >= 200)
		##################################################################
        # Initialize data using the linker-generated .dinit table
        ##################################################################
	.equiv FMT_CLEAR,0
	.equiv FMT_COPY,1
_dinit_init:
        la      t0,_dinit_addr

#define SRC t0
#define DST t1
#define LEN t2
#define FMT t3

0:		lw	DST,0(SRC)
		beqz    DST,9f
		addu	SRC,4
		lw	LEN,0(SRC)
		addu	SRC,4
		lw	FMT,0(SRC)
		beq	FMT,$0,_dinit_clear
		addu	SRC,4
	
_dinit_copy:
		lbu	t4,0(SRC)
		subu	LEN,1
		addu	SRC,1
		sb	t4,0(DST)
		bne	LEN,$0,_dinit_copy
		addu	DST,1
	
		b	_dinit_end
        nop

_dinit_clear:
		sb	$0,(DST)
		subu	LEN,1
		bne	LEN,$0,_dinit_clear
		addu	DST,1

_dinit_end:
		addu	SRC,3
        addiu   LEN,$0,0xFFFFFFFC
        and     SRC,LEN,SRC
        lw      DST,0(SRC)
		bne	DST,$0,0b
        nop
9:
#else
		##################################################################
        # Copy initialized data from program flash to data memory
        #   src=_data_image_begin dst=_data_begin stop=_data_end
        ##################################################################
        la      t0,_data_image_begin
        la      t1,_data_begin
        la      t2,_data_end
        b       _init_check
        nop

_init_data:
        lw      t3,(t0)
        sw      t3,(t1)
        addu    t0,4
        addu    t1,4
_init_check:
        bltu    t1,t2,_init_data
        nop
#endif
		/* return to caller */
   		jr      ra
		nop

.end _initLibVariables