#ifndef _MODULE_HEADER_H_
#define _MODULE_HEADER_H_

#include "RTLL.h"

/**************************************
 * Assign a name to the library module.
 * In case of multiple libraries, each
 * library should have a unique name.
 **************************************/
#define MODULE_NAME "Helix Library"

/******************************************
 * Assign an program memory address where
 * the module header should be placed. 
 * This address is not arbitrary. It should 
 * be a part of the system design and 
 * should not overlap valid program memory
 * regions.
 ******************************************/ 

#define MODULE_HEADER_ADDRESS 0x9D06E000 

/******************************************
 * This helper macro computes the number
 * entries in the export function tables
 * and hence the number of functions 
 * exported by the library.
 *****************************************/

#define	NUM_OF_EXPORTED_FUNCTIONS(x) (sizeof(x)/sizeof(T_PROC_DCPT))

/*********************************************************
 * Reference to the library startup initialization routine
 * defined in lib_Startup.S
 *********************************************************/

extern void _initLibVariables(void);

/*********************************************************
 * Reference to the Library defined Intialization routine.
 * This function is called when the application has opened
 * a handle to the library.
 *********************************************************/

extern void LibInit(void * data);

#endif
