/**********************************************************************
*  2011 Microchip Technology Inc.
*
* FileName:        main.c
* Dependencies:    Header (.h) files if applicable, see below
* Processor:       PIC32MX795F512L
* Compiler:        MPLAB C32 v1.11a or higher
*
* SOFTWARE LICENSE AGREEMENT:
* Microchip Technology Incorporated ("Microchip") retains all ownership and 
* intellectual property rights in the code accompanying this message and in all 
* derivatives hereto.  You may use this code, and any derivatives created by 
* any person or entity by or on your behalf, exclusively with Microchip's
* proprietary products.  Your acceptance and/or use of this code constitutes 
* agreement to the terms and conditions of this notice.
*
* CODE ACCOMPANYING THIS MESSAGE IS SUPPLIED BY MICROCHIP "AS IS".  NO 
* WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED 
* TO, IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE APPLY TO THIS CODE, ITS INTERACTION WITH MICROCHIP'S 
* PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION. 
*
* YOU ACKNOWLEDGE AND AGREE THAT, IN NO EVENT, SHALL MICROCHIP BE LIABLE, WHETHER 
* IN CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR BREACH OF STATUTORY DUTY), 
* STRICT LIABILITY, INDEMNITY, CONTRIBUTION, OR OTHERWISE, FOR ANY INDIRECT, SPECIAL, 
* PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, FOR COST OR EXPENSE OF 
* ANY KIND WHATSOEVER RELATED TO THE CODE, HOWSOEVER CAUSED, EVEN IF MICROCHIP HAS BEEN 
* ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE FULLEST EXTENT 
* ALLOWABLE BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO 
* THIS CODE, SHALL NOT EXCEED THE PRICE YOU PAID DIRECTLY TO MICROCHIP SPECIFICALLY TO 
* HAVE THIS CODE DEVELOPED.
*
* You agree that you are solely responsible for testing the code and 
* determining its suitability.  Microchip has no obligation to modify, test, 
* certify, or support the code.
************************************************************************/

#include "..\h\WM8960Drv.h"
#include "..\h\GFXFunctions.h"
#include "..\h\DemoDefines.h"

/************************************************************************
 * The following section configures the PIC32 clock and oscillator
 * settings. The Audio Development board has a 8MHz crystal on board.
 * The device is configured to operate at 80MHz. This example does 
 * uses USB and so the USP PLL is swithced on.
 ************************************************************************/

#pragma config UPLLEN   = ON,      FPLLMUL  = MUL_20,  UPLLIDIV = DIV_2
#pragma config FPLLIDIV = DIV_2,    FPLLODIV = DIV_1,   FPBDIV   = DIV_1
#pragma config FWDTEN   = OFF,      WDTPS    = PS1,     OSCIOFNC = OFF
#pragma config POSCMOD  = XT,       IESO     = OFF,     FSOSCEN  = OFF
#pragma config FNOSC    = PRIPLL,   CP       = OFF ,    BWP      = OFF
#pragma config PWP      = OFF,      ICESEL   = ICS_PGx2   

int main(void)
{
    /************************************************
     * Do some system and application initialization
     * here.
     ************************************************/

    SYSTEMConfigPerformance(SYSTEM_CLOCK);
    INTEnableSystemMultiVectoredInt();

    GFXDisplayInit();
    GFXStatusIndicate(INSERT_DRIVE);
    AudioUSBInit();

    while(1)
    {
        AudioUSBTasks();
    }    
}

